package com.basic.eyflutter_uikit.permission;

import com.basic.eyflutter_uikit.enums.PermissionGrantedType;

/**
 * Author lijinghuan
 * Email:ljh0576123@163.com
 * CreateTime:2019-07-24
 * Description:权限状态
 * Modifier:
 * ModifyContent:
 */
public class PermissionState {
    /**
     * 权限授权状态
     */
    private PermissionGrantedType grantedType;

    private PermissionGrantedType previousGrantedType;

    public PermissionGrantedType getGrantedType() {
        if (grantedType == null) {
            grantedType = PermissionGrantedType.none;
        }
        return grantedType;
    }

    public void setGrantedType(PermissionGrantedType grantedType) {
        this.grantedType = grantedType;
    }

    public PermissionGrantedType getPreviousGrantedType() {
        if (previousGrantedType == null) {
            previousGrantedType = PermissionGrantedType.none;
        }
        return previousGrantedType;
    }

    public void setPreviousGrantedType(PermissionGrantedType previousGrantedType) {
        this.previousGrantedType = previousGrantedType;
    }
}
