package com.basic.eyflutter_uikit.pickers;

import com.basic.eyflutter_uikit.pickers.enums.PickBehavior;
import com.basic.eyflutter_uikit.pickers.events.OnPickResultListener;
import com.cloud.eyutils.ebus.EBus;
import com.cloud.eyutils.utils.ObjectJudge;

import java.io.File;
import java.util.List;

public class PickerService implements OnPickResultListener {

    @Override
    public void onPickResultCall(List<File> files, PickBehavior behavior) {
        if (ObjectJudge.isNullOrEmpty(files)) {
            return;
        }
        EBus.getInstance().post(PickersConstants.pickerResultBusKey, files, behavior);
    }
}
