//
//  UIView+GBLayout.h
//  GBImagePickerController
//
//  Created by 谭真 on 15/2/24.
//  Copyright © 2015年 谭真. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface UIView (GBLayout)

@property (nonatomic) CGFloat GB_left;        ///< Shortcut for frame.origin.x.
@property (nonatomic) CGFloat GB_top;         ///< Shortcut for frame.origin.y
@property (nonatomic) CGFloat GB_right;       ///< Shortcut for frame.origin.x + frame.size.width
@property (nonatomic) CGFloat GB_bottom;      ///< Shortcut for frame.origin.y + frame.size.height
@property (nonatomic) CGFloat GB_width;       ///< Shortcut for frame.size.width.
@property (nonatomic) CGFloat GB_height;      ///< Shortcut for frame.size.height.
@property (nonatomic) CGFloat GB_centerX;     ///< Shortcut for center.x
@property (nonatomic) CGFloat GB_centerY;     ///< Shortcut for center.y
@property (nonatomic) CGPoint GB_origin;      ///< Shortcut for frame.origin.
@property (nonatomic) CGSize  GB_size;        ///< Shortcut for frame.size.

@end
