//
//  TZThumbPhotoPreviewView.h
//  cloud_basic_pickers
//
//  Created by goboo on 2021/6/15.
//

#import <UIKit/UIKit.h>
#import "TZAssetModel.h"
NS_ASSUME_NONNULL_BEGIN

@interface TZThumbPhotoPreviewView : UIView
@property (nonatomic, strong) NSMutableArray *models;                  ///< All photo models / 所有图片模型数组
@property (nonatomic, strong) NSMutableArray *photos;                  ///< All photos  / 所有图片数组
@property (nonatomic, assign) NSInteger currentIndex;
///选中block
@property (nonatomic, copy) void (^seleCtedBlock)(NSInteger index,TZAssetModel *model);

- (instancetype)initWithSource:(NSMutableArray *)album
               selectedAssets:(NSMutableArray *)selectedAssets
               maxPickerCount:(NSInteger)maxPickerCount
                         index:(NSInteger )index;


@end


@interface TZThumbPhotoPreviewCell : UICollectionViewCell
@property (nonatomic, strong) TZAssetModel *model;
@property (nonatomic, strong) PHAsset *asset;
@end

NS_ASSUME_NONNULL_END
