//
//  Tools.h
//  cloud_basic_pickers
//
//  Created by goboo on 2021/6/9.
//

#import <Foundation/Foundation.h>

#define screenw [UIScreen mainScreen].bounds.size.width
#define screenh [UIScreen mainScreen].bounds.size.height
#define statusBarh [UIApplication sharedApplication].statusBarFrame.size.height
#define IPHONE_X \
({BOOL isPhoneX = NO;\
if (@available(iOS 11.0, *)) {\
isPhoneX = [[UIApplication sharedApplication] delegate].window.safeAreaInsets.bottom > 0.0;\
}\
(isPhoneX);})
// 底部安全区域远离高度 现在使用
#define kBottomSafeHeight   (CGFloat)(IPHONE_X?(34):(0))
#define FONT_NAME_SIZE(name,float)          [UIFont fontWithName:name size:float]
#define FONT_MEDIU(float)                   FONT_NAME_SIZE(@"pingFang-SC-Medium",float)
NS_ASSUME_NONNULL_BEGIN
@interface Tools : NSObject
+  (BOOL) isBlankString:(id )string;

+(NSDictionary *)jsonStrToDictionary:(NSString *)jsonStr;
//获取类的成员变量
+ (NSArray *)loadPropertiesWith:(Class)cls ;

+ (UIColor *)colorWithHex:(UInt32)hex;


/**
 设置渐变背景
 
 @param colors 渐变颜色数组
 @param startPoint 开始点
 @param endPoint 结束点
 */
+(void)changeAlphaWithView:(UIView *)view Colors:(NSArray <UIColor *>*)colors start:(CGPoint)startPoint endPoint:(CGPoint)endPoint;

/**
 绘制圆角
 
 @param radius 半径
 @param color 颜色
 @param width 圆角路径宽度
 */
+(void)roundAngleWithView:(UIView *)view
                   Radius:(CGFloat)radius
                      color:(UIColor *)color
                lineWidth:(CGFloat)width;

/**
 圆角
 */
+ (void)cornerByRoundingWith:(UIView *)view Corners:(UIRectCorner)corners cornerRadius:(CGFloat)cornerRadius;
@end

NS_ASSUME_NONNULL_END
