package com.basic.eyflutter_uikit.pickers.beans;

import com.basic.eyflutter_uikit.pickers.enums.SelectMode;
import com.basic.eyflutter_uikit.pickers.pick.OnPickCallback;
import com.basic.eyflutter_uikit.pickers.pick.OnPickSelectItemsCallback;

public class PickBean {
    //最大选择数
    private int maxCount;
    //每列显示个数
    private int spanCount;
    //选择模式
    private int pickMode;
    //最大允许选择数
    private int maxPickSize;
    //选择模式
    private SelectMode mode;
    //是否开启照片裁剪功能
    private boolean clipPhoto;
    //裁剪方式
    private boolean clipCircle;
    //是否显示原图
    private boolean showOriginal;
    //是否开启压缩
    private boolean startCompression;
    //是否可以多选视频,默认为false;该属性仅在maxCount>1时有效;
    private boolean canMultipleVideo;
    //视频最大时长(秒)
    private int videoMaxDuration;
    //返回结果回调
    private OnPickCallback callback;
    //选择项回调
    private OnPickSelectItemsCallback selectItemsCallback;
    //权限
    private PickersPermission permission;

    public int getMaxCount() {
        return maxCount;
    }

    public void setMaxCount(int maxCount) {
        this.maxCount = maxCount;
    }

    public int getSpanCount() {
        return spanCount;
    }

    public void setSpanCount(int spanCount) {
        this.spanCount = spanCount;
    }

    public int getPickMode() {
        return pickMode;
    }

    public void setPickMode(int pickMode) {
        this.pickMode = pickMode;
    }

    public int getMaxPickSize() {
        return maxPickSize;
    }

    public void setMaxPickSize(int maxPickSize) {
        this.maxPickSize = maxPickSize;
    }

    public SelectMode getMode() {
        return mode;
    }

    public void setMode(SelectMode mode) {
        this.mode = mode;
    }

    public boolean isClipPhoto() {
        return clipPhoto;
    }

    public void setClipPhoto(boolean clipPhoto) {
        this.clipPhoto = clipPhoto;
    }

    public boolean isClipCircle() {
        return clipCircle;
    }

    public void setClipCircle(boolean clipCircle) {
        this.clipCircle = clipCircle;
    }

    public boolean isShowOriginal() {
        return showOriginal;
    }

    public void setShowOriginal(boolean showOriginal) {
        this.showOriginal = showOriginal;
    }

    public boolean isStartCompression() {
        return startCompression;
    }

    public void setStartCompression(boolean startCompression) {
        this.startCompression = startCompression;
    }

    public boolean isCanMultipleVideo() {
        return canMultipleVideo;
    }

    public void setCanMultipleVideo(boolean canMultipleVideo) {
        this.canMultipleVideo = canMultipleVideo;
    }

    public int getVideoMaxDuration() {
        return videoMaxDuration;
    }

    public void setVideoMaxDuration(int videoMaxDuration) {
        this.videoMaxDuration = videoMaxDuration;
    }

    public OnPickCallback getCallback() {
        return callback;
    }

    public void setCallback(OnPickCallback callback) {
        this.callback = callback;
    }

    public OnPickSelectItemsCallback getSelectItemsCallback() {
        return selectItemsCallback;
    }

    public void setSelectItemsCallback(OnPickSelectItemsCallback selectItemsCallback) {
        this.selectItemsCallback = selectItemsCallback;
    }

    public PickersPermission getPermission() {
        return permission == null ? permission = new PickersPermission() : permission;
    }

    public void setPermission(PickersPermission permission) {
        this.permission = permission;
    }
}
