package com.basic.eyflutter_uikit.pickers.beans;

public class PickersArguments {

    /// 最大选择数量
    private int maxCount;

    /// 是否开启裁剪照片功能，默认关闭
    private boolean clipPhoto;

    /// 是否裁剪方式为圆形，默认为矩形
    private boolean clipCircle;

    /// 是否显示原图按钮，默认显示
    private boolean showOriginal;

    /// 是否开启压缩，默认true
    private boolean startCompression;

    /// 是否可以多选视频,默认为false;该属性仅在maxCount>1时有效;
    private boolean canMultipleVideo;

    /// 视频拍摄时长
    private int videoMaxDuration;

    /// 最大显示列数
    private int spanCount;

    public int getMaxCount() {
        return maxCount;
    }

    public void setMaxCount(int maxCount) {
        this.maxCount = maxCount;
    }

    public boolean isClipPhoto() {
        return clipPhoto;
    }

    public void setClipPhoto(boolean clipPhoto) {
        this.clipPhoto = clipPhoto;
    }

    public boolean isClipCircle() {
        return clipCircle;
    }

    public void setClipCircle(boolean clipCircle) {
        this.clipCircle = clipCircle;
    }

    public boolean isShowOriginal() {
        return showOriginal;
    }

    public void setShowOriginal(boolean showOriginal) {
        this.showOriginal = showOriginal;
    }

    public boolean isStartCompression() {
        return startCompression;
    }

    public void setStartCompression(boolean startCompression) {
        this.startCompression = startCompression;
    }

    public boolean isCanMultipleVideo() {
        return canMultipleVideo;
    }

    public void setCanMultipleVideo(boolean canMultipleVideo) {
        this.canMultipleVideo = canMultipleVideo;
    }

    public int getVideoMaxDuration() {
        return videoMaxDuration;
    }

    public void setVideoMaxDuration(int videoMaxDuration) {
        this.videoMaxDuration = videoMaxDuration;
    }

    public int getSpanCount() {
        return spanCount;
    }

    public void setSpanCount(int spanCount) {
        this.spanCount = spanCount;
    }
}
