package com.basic.eyflutter_uikit.pickers.pick.loader;

import android.content.Context;

import com.makeramen.roundedimageview.RoundedImageView;

import java.io.Serializable;

public interface ImageLoader extends Serializable {
    void displayImage(Context context, String originalImagePath, String thumbnailsImagePath, RoundedImageView imageView, boolean resize, boolean loadThumbnailsImage, int corners, int imageSize);

    void displayImage(Context context, String originalImagePath, RoundedImageView imageView, boolean resize, int corners, int imageSize);

    void clearMemoryCache();
}