//
//  pickerArgumentModel.m
//  cloud_basic_pickers
//
//  Created by goboo on 2021/6/8.
//

#import "pickerArgumentModel.h"
#import "Tools.h"
@implementation pickerArgumentModel
+(instancetype)pickerArgumentModelWith:(NSDictionary *)dict{
    pickerArgumentModel *model = [[pickerArgumentModel alloc] init];
    if ([Tools isBlankString:dict]) {
        return model;
    }
    NSArray *array = [Tools loadPropertiesWith:self];
    for (NSString *key in array) {
        if ([dict.allKeys containsObject:key]) {
            if (dict[key]) {
                [model setValue:dict[key] forKey:key];
            }
        }
        
    }
    return  model;
}
@end


@implementation pickerLangArgumentModel
+(instancetype)pickerLangArgumentModelWith:(NSDictionary *)dict{
    
    pickerLangArgumentModel *model = [[pickerLangArgumentModel alloc] init];
    if ([Tools isBlankString:dict]) {
        return model;
    }
    NSArray *array = [Tools loadPropertiesWith:self];
    for (NSString *key in array) {
        if ([dict.allKeys containsObject:key]) {
            if (dict[key]) {
                [model setValue:dict[key] forKey:key];
            }
        }
        
       
    }
    
    return  model;
}
@end



@implementation pickerPermissModel

+(instancetype)pickerPermissModelWith:(NSDictionary *)dict{
    pickerPermissModel *model = [[pickerPermissModel alloc] init];
    if ([Tools isBlankString:dict]) {
        return model;
    }
    NSArray *array = [Tools loadPropertiesWith:self];
    for (NSString *key in array) {
        if ([dict.allKeys containsObject:key]) {
            if (dict[key]) {
                [model setValue:[pickerPermissItemModel pickerPermissItemModelWith:dict[key]] forKey:key];
            }
        }
        
       
    }
    return  model;
}
@end


@implementation pickerPermissItemModel

+(instancetype)pickerPermissItemModelWith:(NSDictionary *)dict{
    pickerPermissItemModel *model = [[pickerPermissItemModel alloc] init];
    if ([Tools isBlankString:dict]) {
        return model;
    }
    NSArray *array = [Tools loadPropertiesWith:self];
    for (NSString *key in array) {
        if ([dict.allKeys containsObject:key]) {
            if (dict[key]) {
                [model setValue:dict[key] forKey:key];
            }
        }
        
    }
    return  model;
}

@end
