import 'package:flutter/material.dart';

/// 流式布局数据项
class FlowItem {
  /// 显示文本
  final String text;

  ///是否被选中项
  bool isCheck;

  /// 是否被启用
  bool enable;

  /// 标记组件
  final Widget? tagWidget;

  /// extra data
  final dynamic data;

  /// 规格-sku映射
  final String? specSkuMapping;

  FlowItem(
      {required this.text, this.isCheck = false, this.enable = true, this.tagWidget, this.data, this.specSkuMapping});
}
